Bug 1242769 - perl-Algorithm-CurveFit-1.05-14.fc23 FTBFS: Failed test at t/02bad_deriv.t line 50
Summary: perl-Algorithm-CurveFit-1.05-14.fc23 FTBFS: Failed test at t/02bad_deriv.t li...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Algorithm-CurveFit
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
Depends On: 1238804
Blocks: harden-failure
TreeView+ depends on / blocked
 
Reported: 2015-07-14 07:31 UTC by Petr Pisar
Modified: 2017-09-04 14:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-04 14:02:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 121352 None None None 2017-05-23 16:14:37 UTC
Red Hat Bugzilla 1393834 None None None Never

Internal Links: 1393834

Description Petr Pisar 2015-07-14 07:31:36 UTC
perl-Algorithm-CurveFit-1.05-14.fc23 fails to build in F23 because tests fail:

t/01basic.t ...... ok
#   Failed test at t/02bad_deriv.t line 50.
# Looks like you failed 1 test of 13.
t/02bad_deriv.t .. 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/13 subtests 

Verbose test output:

$ prove -b -v t/02bad_deriv.t
t/02bad_deriv.t ..
1..13
ok 1
ok 2
not ok 3

#   Failed test at t/02bad_deriv.t line 50.
ok 4
ok 5
ok 6
ok 7
ok 8
ok 9
ok 10
ok 11
ok 12
ok 13
# Looks like you failed 1 test of 13.
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/13 subtests

Comment 1 Petr Pisar 2015-07-14 15:04:53 UTC
Comparing recent passing koschei build <https://apps.fedoraproject.org/koschei/package/perl-Algorithm-CurveFit/671405> and the failed scratch build <http://koji.fedoraproject.org/koji/taskinfo?taskID=10349864> does not divulge any significant difference in the build root:

Removed packages:
        libasan-5.1.1-4.fc23
        libatomic-5.1.1-4.fc23
        libcilkrts-5.1.1-4.fc23
        libmpx-5.1.1-4.fc23
        libubsan-5.1.1-4.fc23
Added packages:

I can reproduce the bug locally and installing the five packages does fix it.

Comment 2 Petr Pisar 2015-07-14 15:11:20 UTC
The difference is architecture: i686 passed, x86_64 failed.

Comment 3 Jan Kurik 2015-07-15 13:17:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 4 Petr Pisar 2015-07-15 14:24:09 UTC
If I only relink perl from the the same build directory as the affected comes from with old ldflags:

$ gcc -o perl -fstack-protector-strong -L/usr/local/lib -Wl,--enable-new-dtags perlmain.o  libperl.so `cat ext.libs` -lpthread -lresolv -lnsl -ldl -lm -lcrypt -lutil -lc

And use the the perl to run the t/02bad_deriv.t, it passes. If I relink the perl with the hardened ldflags:

$ gcc -o perl -Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -fstack-protector-strong -L/usr/local/lib -Wl,--enable-new-dtags -Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld perlmain.o  libperl.so `cat ext.libs` -lpthread -lresolv -lnsl -ldl -lm -lcrypt -lutil -lc

the test fails.

Also the test passes with the hardened perl when running under valgrind.

Comment 5 Petr Pisar 2015-07-15 14:25:19 UTC
The minimal broken flags are:

$ gcc -o perl -pie  perlmain.o  libperl.so `cat ext.libs` -lpthread -lresolv -lnsl -ldl -lm -lcrypt -lutil -lc

Removing the "-pie" option helps.

Comment 6 Fedora End Of Life 2016-11-24 12:12:04 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Petr Pisar 2016-11-24 12:26:25 UTC
We have a similar bug on non-hardened ppc64le (bug #1393834). It looks like a floating point arithmetic issue.

Comment 8 Fedora End Of Life 2017-07-25 18:59:44 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Petr Pisar 2017-07-26 07:43:44 UTC
I recommend removing this package from Fedora. Upstream has not responded to bug reports for years and did not do any new release. This package seems be not required by any other package in Fedora.

Comment 10 Jan Kurik 2017-08-15 08:15:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 11 Jitka Plesnikova 2017-09-04 14:02:51 UTC
The package was retired in rawhide and Fedora 27.


Note You need to log in before you can comment on or make changes to this bug.